org.apache.hc.core5.testing.reactive

## Class ReactiveRandomProcessor

- java.lang.Object
- - org.apache.hc.core5.testing.reactive.ReactiveRandomProcessor

- All Implemented Interfaces:
    ReactiveRequestProcessor

      public class ReactiveRandomProcessor
      extends Object
      implements ReactiveRequestProcessor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReactiveRandomProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processRequest(HttpRequest request, EntityDetails entityDetails, ResponseChannel responseChannel, HttpContext context, org.reactivestreams.Publisher<ByteBuffer> requestBody, Callback<org.reactivestreams.Publisher<ByteBuffer>> responseBodyCallback)` Processes the actual HTTP request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReactiveRandomProcessor

          public ReactiveRandomProcessor()

  - ### Method Detail

    - #### processRequest

          public void processRequest(HttpRequest request,
                                     EntityDetails entityDetails,
                                     ResponseChannel responseChannel,
                                     HttpContext context,
                                     org.reactivestreams.Publisher<ByteBuffer> requestBody,
                                     Callback<org.reactivestreams.Publisher<ByteBuffer>> responseBodyCallback)
                              throws HttpException,
                                     IOException

      Description copied from interface: `ReactiveRequestProcessor`
      Processes the actual HTTP request. The handler can choose to send response messages immediately inside the call or asynchronously at some later point.
      Specified by:
        `processRequest` in interface `ReactiveRequestProcessor`
      Parameters:
        `request` - the actual request.
        `entityDetails` - the request entity details or `null` if the request does not enclose an entity.
        `responseChannel` - the response channel.
        `context` - the actual execution context.
        `requestBody` - a reactive stream representing the request body.
        `responseBodyCallback` - a callback to invoke with the response body, if any.
      Throws:
        `HttpException` - in case of HTTP protocol violation.
        `IOException` - in case of an I/O error.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.